summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Manifest.gzbin270946 -> 270946 bytes
-rw-r--r--dev-python/croniter/Manifest2
-rw-r--r--dev-python/croniter/croniter-2.0.3.ebuild31
-rw-r--r--dev-python/griffe/Manifest2
-rw-r--r--dev-python/griffe/griffe-0.42.1.ebuild45
-rw-r--r--dev-python/hypothesis/Manifest2
-rw-r--r--dev-python/hypothesis/hypothesis-6.99.9.ebuild90
-rw-r--r--dev-python/license-expression/Manifest2
-rw-r--r--dev-python/license-expression/license-expression-30.3.0.ebuild34
-rw-r--r--dev-python/pyamg/Manifest2
-rw-r--r--dev-python/pyamg/pyamg-5.1.0.ebuild50
-rw-r--r--dev-python/pyarrow/Manifest2
-rw-r--r--dev-python/pyarrow/pyarrow-15.0.2.ebuild87
-rw-r--r--dev-python/pytest-asyncio/Manifest2
-rw-r--r--dev-python/pytest-asyncio/pytest-asyncio-0.23.6.ebuild52
-rw-r--r--dev-python/sqlglot/Manifest2
-rw-r--r--dev-python/sqlglot/sqlglot-23.0.1.ebuild121
-rw-r--r--dev-python/uvicorn/Manifest2
-rw-r--r--dev-python/uvicorn/uvicorn-0.28.1.ebuild75
-rw-r--r--dev-python/validators/Manifest2
-rw-r--r--dev-python/validators/validators-0.23.1.ebuild21
21 files changed, 626 insertions, 0 deletions
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index dd0a9cd31ebd..af235fa56c20 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/croniter/Manifest b/dev-python/croniter/Manifest
index 43d832ad3a4b..ae1c19a12538 100644
--- a/dev-python/croniter/Manifest
+++ b/dev-python/croniter/Manifest
@@ -1,3 +1,5 @@
DIST croniter-2.0.2.tar.gz 42739 BLAKE2B 3156c6676e38aead9efd425d92676620e6736bbccef7b4e53ca1ab91728f522e4aa9ac4b518205717e6bc7034dd231f90d6f6f5bc58d04da0c8f76ce8cbc1ff6 SHA512 f1ef58b21be070a4da7447322130bb2a7672572a78c0214d6df37428a8103234582c647747e76d890194dde8293dd2cc097a65484738a03423061545263417fe
+DIST croniter-2.0.3.tar.gz 43274 BLAKE2B 30efe8767d6705518a1f7f605f63ad0e114eb6fc0e5f8677aaed5627ff7c3f3923fb0858fe27c167146b494950a8dfe9b8c8b14a89cc47a715ea4528fffaac98 SHA512 28c6596dad10ffb0c8a682d959505713c3ac3188034c5f7d1771772805b57363a66a213f36b90b1208d897b35da5c8805c6f7e4744ff511e0c5b6da686bd7dbe
EBUILD croniter-2.0.2.ebuild 609 BLAKE2B 80fd8878be011bf6190da9536da17a09794739cfea0a4dec90718fda97b3147f3f97de9d72976500250c8d8c39a24f0fc625a7c7202640f12ad7e86197290843 SHA512 cfe304a54cf0b4f40e31a5a899bf4fa34e041a89690cd50f32b2a025869a38e73a21793330b3975e1ffcf09beae273a79a5b1beeb588b5fca4ff6fa4751f0639
+EBUILD croniter-2.0.3.ebuild 612 BLAKE2B 6d7e39f0a7c42781887615dc854d44b1dbeaea164585d1e47ddd57d82f94b196f5a77d301bbf86743d6fa69acdb02900f26724cde2abc1832477b905efc8ecdf SHA512 e9b7013d6f3463ea8e81707e4ce81be02434c4ac769505a4e6421cfb36157a4bf4eef54d09a6c942edaa7e53017e4541a56759639e263df89db6fd605147f1af
MISC metadata.xml 470 BLAKE2B ee6bfe88287fe27cb8bb33258f6fbb3275daf8294a834e899975e27c34d9103e21dcdef3f43b5df3a9a9e5d741f971d0117ad6e4410c1117306d9b913c8f2bc6 SHA512 e2167dfde1b79b2ec613ad671868a7ad28e64705515534b7911d2bc1f2cfeb6e68e14b1d93e6e29ab2f60c2b49b60454d4b6d9bba2f7bcf9cc3f3a20424fe3a7
diff --git a/dev-python/croniter/croniter-2.0.3.ebuild b/dev-python/croniter/croniter-2.0.3.ebuild
new file mode 100644
index 000000000000..3d5f6c8e5f9f
--- /dev/null
+++ b/dev-python/croniter/croniter-2.0.3.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python module to provide iteration for datetime object"
+HOMEPAGE="
+ https://github.com/kiorky/croniter/
+ https://pypi.org/project/croniter/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/tzlocal[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/griffe/Manifest b/dev-python/griffe/Manifest
index 5dfa79dd732a..dd390f44f52a 100644
--- a/dev-python/griffe/Manifest
+++ b/dev-python/griffe/Manifest
@@ -4,10 +4,12 @@ DIST griffe-0.41.1.gh.tar.gz 216351 BLAKE2B e4c8bad6c6870aab7dee9d8d4326537d7943
DIST griffe-0.41.2.gh.tar.gz 216659 BLAKE2B b0974a105aaa9ffca5e0b977fd816f228ff78f550e7995fe0f902d9bdfb720c603238b2e084fc2cf1364c13a78311877c87e175eb37b5ac310345ed05b04ec96 SHA512 981c91a48a06d157b42b7415002360158a144845a1cdbd7c09c7e07ff43bbb795bbcda784f72dfb863183fe7093e34483f2c57f8370194f4834d51659401462e
DIST griffe-0.41.3.gh.tar.gz 216756 BLAKE2B 00c979a32409f765b1c7d70edb91c8df71042e3ef0692e4575f8c161d8789f5b0dc8f60500925905089a1e13078a012ad5a8b312e5a78e882238c722c936eff1 SHA512 fb6ee21f3a71021e7b425522d0c0d6d6c7ce27cb62bac61c83d85c09311518a7ef7404347fe597d3b7d5ca19c09a6b7b61135779969777880e307a820ce93bdb
DIST griffe-0.42.0.gh.tar.gz 223478 BLAKE2B f607c552d3576cf37b00c16412cc1925706beedb386e63da0909a7967c4c3aad5782d39cff38d5bbbc4c38baf6967cdf4668bf6017a66409dbb0704eb5ac31c8 SHA512 21e0598d992fb1a22cf75e7d9bd1cadb1622f43817b685cd19f33c1202a67fe12f99baeba7237c64483addd8caed931d8cae2407f1071b06ffb340e00403a5af
+DIST griffe-0.42.1.gh.tar.gz 225572 BLAKE2B 90f4773f13534698899abb9447b432835c87dddeb21274b14f26486cbfb720e7bc294c6e342b3d2cfb63a7a3dba0f190fa62112035ed573c492cb547694e3426 SHA512 61b5f5a77a4d90233cf7fe848aaef1bbd94f803417724d44de4d47918c54347a952ecb3ad82fc794b2d3615bca96a611e9cab2d06f7f4dbe36297c2802d60dd0
EBUILD griffe-0.40.1.ebuild 963 BLAKE2B 1048aef3e64f935a399d5961b2d7c63301c0d3b99dc4592b8af5dbfd5160cba965245de477eda22ab35fb4250441f125b4ac8d0ffe9b703c46919c1118d6b398 SHA512 febd9e6b6406d6fe35f2444d479981a0973614b59a467fa78e83bf00c6db575be2db6b21e59ade85d0d3fa711556685ab80369c4d681258df6df2ffc56398987
EBUILD griffe-0.41.0.ebuild 963 BLAKE2B 1048aef3e64f935a399d5961b2d7c63301c0d3b99dc4592b8af5dbfd5160cba965245de477eda22ab35fb4250441f125b4ac8d0ffe9b703c46919c1118d6b398 SHA512 febd9e6b6406d6fe35f2444d479981a0973614b59a467fa78e83bf00c6db575be2db6b21e59ade85d0d3fa711556685ab80369c4d681258df6df2ffc56398987
EBUILD griffe-0.41.1.ebuild 963 BLAKE2B 1048aef3e64f935a399d5961b2d7c63301c0d3b99dc4592b8af5dbfd5160cba965245de477eda22ab35fb4250441f125b4ac8d0ffe9b703c46919c1118d6b398 SHA512 febd9e6b6406d6fe35f2444d479981a0973614b59a467fa78e83bf00c6db575be2db6b21e59ade85d0d3fa711556685ab80369c4d681258df6df2ffc56398987
EBUILD griffe-0.41.2.ebuild 963 BLAKE2B 1048aef3e64f935a399d5961b2d7c63301c0d3b99dc4592b8af5dbfd5160cba965245de477eda22ab35fb4250441f125b4ac8d0ffe9b703c46919c1118d6b398 SHA512 febd9e6b6406d6fe35f2444d479981a0973614b59a467fa78e83bf00c6db575be2db6b21e59ade85d0d3fa711556685ab80369c4d681258df6df2ffc56398987
EBUILD griffe-0.41.3.ebuild 963 BLAKE2B 1048aef3e64f935a399d5961b2d7c63301c0d3b99dc4592b8af5dbfd5160cba965245de477eda22ab35fb4250441f125b4ac8d0ffe9b703c46919c1118d6b398 SHA512 febd9e6b6406d6fe35f2444d479981a0973614b59a467fa78e83bf00c6db575be2db6b21e59ade85d0d3fa711556685ab80369c4d681258df6df2ffc56398987
EBUILD griffe-0.42.0.ebuild 963 BLAKE2B 1048aef3e64f935a399d5961b2d7c63301c0d3b99dc4592b8af5dbfd5160cba965245de477eda22ab35fb4250441f125b4ac8d0ffe9b703c46919c1118d6b398 SHA512 febd9e6b6406d6fe35f2444d479981a0973614b59a467fa78e83bf00c6db575be2db6b21e59ade85d0d3fa711556685ab80369c4d681258df6df2ffc56398987
+EBUILD griffe-0.42.1.ebuild 963 BLAKE2B 1048aef3e64f935a399d5961b2d7c63301c0d3b99dc4592b8af5dbfd5160cba965245de477eda22ab35fb4250441f125b4ac8d0ffe9b703c46919c1118d6b398 SHA512 febd9e6b6406d6fe35f2444d479981a0973614b59a467fa78e83bf00c6db575be2db6b21e59ade85d0d3fa711556685ab80369c4d681258df6df2ffc56398987
MISC metadata.xml 398 BLAKE2B eb35dbbdd7d3482404991416d9e06e3e87f88a96cc91d481b5a2f53eb732172116b4cfefa1a65f9ba8db44e2b10ed0fd6e4031b7d17382e9e931d1a2eedb322e SHA512 833aac5d52c2584143d67b7ad325e9538cee17d454410b3c4708ad9b47f58d3b2c0875d735b149603bb36ae124d24343b2e456a6db5e5f806da2e13f32c108cc
diff --git a/dev-python/griffe/griffe-0.42.1.ebuild b/dev-python/griffe/griffe-0.42.1.ebuild
new file mode 100644
index 000000000000..73f99c53e1af
--- /dev/null
+++ b/dev-python/griffe/griffe-0.42.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Signature generator for Python programs"
+HOMEPAGE="
+ https://mkdocstrings.github.io/griffe/
+ https://github.com/mkdocstrings/griffe/
+ https://pypi.org/project/griffe/
+"
+# Tests need files absent from the PyPI tarballs
+SRC_URI="
+ https://github.com/mkdocstrings/griffe/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+ >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/jsonschema-4.17[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-2.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export PDM_BUILD_SCM_VERSION=${PV}
+
+EPYTEST_DESELECT=(
+ # fragile to installed packages
+ # (failed on PySide2 for me)
+ tests/test_stdlib.py::test_fuzzing_on_stdlib
+)
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index e55f62102929..2fda64a108a1 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -9,6 +9,7 @@ DIST hypothesis-6.99.5.gh.tar.gz 9441876 BLAKE2B ab1cce09dda83a89e63aaf6a995816b
DIST hypothesis-6.99.6.gh.tar.gz 9445919 BLAKE2B ea518d35aa62eb23b6859965ee5acadb12e1e6eec1e5c04b98aef5fec6f4b4e97f3c98f7c16bd07cc1e74d41040a9eabb6091c24c7132cefc2f02a94d3fe9df4 SHA512 d78c9086a6e5de8b80ec544047d70436053934a3f2b822f8389881e3679b1b7c6a26f653723f97ecf4c462b91183c35f07ffa79e6126e03926507981a6893e19
DIST hypothesis-6.99.7.gh.tar.gz 9446140 BLAKE2B 968bff89e90b2d2af67d2dd30872238d71296e1582fb9e44152c59fc9b1c26c6fd3eb2eef75a65cf51b007264f714042721a2c44304064b2540df9cc064fdd0a SHA512 484ff8d680c3b5441647dcb0e1c2ae0eff80358168f96cf8a0d3caabf8ba0159a27bffe5b118fc2f36accbec4c99be63e56f0851f1c12ebba8d26ee2bf030d70
DIST hypothesis-6.99.8.gh.tar.gz 9447084 BLAKE2B f0641ed13bbf28999294836f1faedf63428448221e9446ce87504e5446f834280d7466c79c498ce6f34613f6f0d6345a4f2d50f2aebc23c830c4265dd7b3166a SHA512 138ded3e11c3ade5fb06778929e9e49e114b9e139d6253b7d20625b31098ed30cc7ba95eb3851a6501b6c4f1426461e22dfc6fbf52fc55da7083d5412d6f1164
+DIST hypothesis-6.99.9.gh.tar.gz 9448274 BLAKE2B 9fb6732d3a3a7b2efb123f7dc09e495ad8901085e7c3aa6ab84af96fe59802246a26f1029d8e3340dfe8cdd49864a34a30d3fbb02c7a606f0758737ee6fd6893 SHA512 28a0665c2af3f3929f1d1ce3fe1f6d05a76451a30e0485abdfc8c5332f728b4a3e7216a8012ce6c4a513a33233ef68e650775aa0372f7c6cfb102fb0a239a9cd
EBUILD hypothesis-6.98.15.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
EBUILD hypothesis-6.98.17.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
EBUILD hypothesis-6.98.18.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
@@ -20,4 +21,5 @@ EBUILD hypothesis-6.99.5.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163
EBUILD hypothesis-6.99.6.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
EBUILD hypothesis-6.99.7.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
EBUILD hypothesis-6.99.8.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
+EBUILD hypothesis-6.99.9.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
MISC metadata.xml 492 BLAKE2B c9e9bbd59af55d1f47e5b7a86933c02b47f832122d03eaca56bd3ec9476cf260d91d4fd2da5068845d4525b7cc9f702b515e8d6a0dffa7923f5898cfd44e12a1 SHA512 166b33d6ac887f52d54fb9d556102038c00650a597d2de1c3aad3f8b5e136e9b6b7db31f05f3379435e4c5f943156d5839d78fc95461af411037a3162ea6705e
diff --git a/dev-python/hypothesis/hypothesis-6.99.9.ebuild b/dev-python/hypothesis/hypothesis-6.99.9.ebuild
new file mode 100644
index 000000000000..f7f366381e4f
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.99.9.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( "${CLI_COMPAT[@]}" pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # failing due to warnings from numpy/cython
+ hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+ )
+ ;;
+ esac
+
+ epytest -o filterwarnings= -n "$(makeopts_jobs)" --dist=worksteal \
+ tests/cover tests/pytest tests/quality
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/license-expression/Manifest b/dev-python/license-expression/Manifest
index 25884658a9ab..96e95f00a8aa 100644
--- a/dev-python/license-expression/Manifest
+++ b/dev-python/license-expression/Manifest
@@ -1,3 +1,5 @@
DIST license-expression-30.2.0.gh.tar.gz 170391 BLAKE2B 38e934fa4c442b797be34b4431955bba5eae589247288f827753fdd167177839faac057448422fe1176127b0c96734c19c185c11814dc7d7765538b3d4184bd1 SHA512 13a9dea381088d95421aca8d096c54e9537bd0671000a21067257d01ced28a5c778bf8adff3d6e83ed89559ed62a0d08ccf98c88c0974c913b199f68d0a4336c
+DIST license-expression-30.3.0.gh.tar.gz 170159 BLAKE2B 6db3c9c3a1c6551fd22a338c74b75b595df5fe59fcde526baf2ddc52329b20cc4fd9848b986acc62709054c8d1f297879d0636e0c75ec30112cc654c41c7efec SHA512 10e141c9f7d05353ff2d76053497a72aebee6bbda6f263cb4fa69d1ab0ada8331bd0a126558b89bd7db428fc55a87bb5c88f1d5217cfb9640dbd10c1975bd08c
EBUILD license-expression-30.2.0.ebuild 803 BLAKE2B 86f239c4fe44e3ccebf2b18e60f68d521b4cf5abc124249990ca4fa873d36078761bea17d78353c79354b2fa940aea0df226f54067f3a2394cad009fc5b88e2c SHA512 8404dfbcb331bcf496d0f5dba116e0ea3c25bb5e3689f907a53ac089838775ae743c641a5fa8b7fd1ad4bcb8380263f7e5e3665a985acadbf6a4bf46952ef218
+EBUILD license-expression-30.3.0.ebuild 811 BLAKE2B 5e95f78d89e9b8bdc1a6c6a18e31da5b919d9482e533879e7b25c6fe7c04fbc7edd93f3e329fdb0abac9b601a4247dc77dae6bebe1b0b5a6a12b39b6cef2ef0a SHA512 ffbd1879fa16a691faaf93bc91a962154b286cd2255bce1abb52361bf1821da31ef9f8c8533bb9044942c920d5a26a9e8877ca788bf27be8c8dc59a197aa8277
MISC metadata.xml 387 BLAKE2B 52d862f7ede77b8ab90dbd9ed2949f1c4a2b289458cff0f2e7042bf43be07b7d7e63ff94f0a10aa1db41027b3441be721656def8d59ba54155d3226e4bd30b57 SHA512 7ba89c3d94ef921fad190a85655d032a7e3a0c5794d0957c3a30ff73c75b717e87517f5f2547408426479d646ac3d157f7e659d66a18d4081689b6b41136b268
diff --git a/dev-python/license-expression/license-expression-30.3.0.ebuild b/dev-python/license-expression/license-expression-30.3.0.ebuild
new file mode 100644
index 000000000000..d26a5354e0c4
--- /dev/null
+++ b/dev-python/license-expression/license-expression-30.3.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Parse, compare, simplify and normalize license expressions"
+HOMEPAGE="
+ https://pypi.org/project/license-expression/
+ https://github.com/nexB/license-expression/
+"
+SRC_URI="
+ https://github.com/nexB/license-expression/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/boolean-py-4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/setuptools-scm-4[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/pyamg/Manifest b/dev-python/pyamg/Manifest
index bfefb833c417..9d5768c4d74c 100644
--- a/dev-python/pyamg/Manifest
+++ b/dev-python/pyamg/Manifest
@@ -1,3 +1,5 @@
DIST pyamg-5.0.1.gh.tar.gz 4132815 BLAKE2B 578a8b1ff7eb627698ba1f0fc2483c614bf73b38b0f38ba11264a3754d5d6e24dd09b818e42d059e7efc18300bb7eb0f661c8ad9e874fcb4d316c5dcebce27df SHA512 d04291854840bbf349cb7b73a392bf3d043f8db88ed1070e8689d45803c8544470d09c2eb268d57ac994e59b99b3f42c8350f1e3612600069c2b93f65ceb659f
+DIST pyamg-5.1.0.gh.tar.gz 4133863 BLAKE2B eb1894f52ef40764f580c23381afbfc1a0ae066ef34ab393adc1ded8f5ed2d881db231f8cfcf94232a531300d920cd54f634382be390be1127648be06464ffb9 SHA512 d770289a9995dd6d7eb7be137e39adeed0968d25d6c5c8c664f14ca3980f09fdda407adb3f634172a9ce49e4d0e205a63dccc21214a027324372a2be1374f062
EBUILD pyamg-5.0.1.ebuild 978 BLAKE2B ffca81fdd88ab79bbcbf8074fea5027086c0bc89950949bcc8bb891dc9803ad83d2b5e5beb26d241d9ff8ccda52eafe00d39f75cd8a9054cb81e28761cbb9fb6 SHA512 312f0f3d5f1c42b1a82ccfb659356684e9c9db70127120cb61830691765e0678146ed2fb25900284d5b1a10a02f9e642f548e51b64aea25bb6eb7bf83b003ee0
+EBUILD pyamg-5.1.0.ebuild 986 BLAKE2B 839edad19c603478a0cb4ad6947e8eaf5393cf7ceb8b0160d33d6f1f066b3bf2452344e467eff79a751b80d9052d5a08a20f033f09923cd77142b5e0e13f64f7 SHA512 51e322a223aa3cd0a01adf6d5dae4089716ba0941502bd0c85d6ace25ee26f016ccd93a46f09328ecad7030a94cfbc252e15ca516b84d93478e731f04fc3a8d9
MISC metadata.xml 768 BLAKE2B 26229e93507c2f6ee26cf2f079b9e9591bd9e4b0f7922ae231444f885afc4a3050b4175a948b81260d5b50d2b30e608a65c220fa0c1e7a5fb8c3e7816f81e610 SHA512 f7f5876fbfc7a8057edd3c0f1bde6721721408a2def54cad978ca4a3699a1bf9c75a7b690c89e74a82a325a368d884e8f232a64385026dda267abf8898124b33
diff --git a/dev-python/pyamg/pyamg-5.1.0.ebuild b/dev-python/pyamg/pyamg-5.1.0.ebuild
new file mode 100644
index 000000000000..0daf543cacc1
--- /dev/null
+++ b/dev-python/pyamg/pyamg-5.1.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Algebraic multigrid solvers in Python"
+HOMEPAGE="
+ https://www.pyamg.org/
+ https://github.com/pyamg/pyamg/
+ https://pypi.org/project/pyamg/
+"
+SRC_URI="
+ https://github.com/pyamg/pyamg/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+ dev-python/pybind11[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ dev-python/CppHeaderParser[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.8.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${DEPEND}
+ >=dev-python/setuptools-scm-7.0.0[${PYTHON_USEDEP}]
+ test? (
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ cd "${T}" || die
+ epytest --pyargs pyamg
+}
diff --git a/dev-python/pyarrow/Manifest b/dev-python/pyarrow/Manifest
index 73b30dcfc8c4..62149967bb78 100644
--- a/dev-python/pyarrow/Manifest
+++ b/dev-python/pyarrow/Manifest
@@ -1,6 +1,8 @@
AUX pyarrow-15.0.1-32bit.patch 14620 BLAKE2B 122653b940b855fe7eb8b4b0defa586e233a983f9291643aeabbca061cae503ae4dc4583135b69cc523cf6e73bffbd2fe11308b99e8177ea499426b5e5e273d2 SHA512 9dd83089a4b6cb03ea9e714baa8099e7ed943261428adf8f632ad311e95b45b03bdcd9d6f73c8deaf301783166dc8f99d77992f38836b6f854fdc5dc4abb55a6
DIST apache-arrow-15.0.0.tar.gz 21491996 BLAKE2B 55709d1d181ed5c1482e1eadc9031c692bbd39434ccad17be8c0f3f5af47e3b3d5f262903d1ce09c39442497e14c22c80d7b30215e4de830a4ac82a1b3db34fb SHA512 d5dccaa0907b0e6f2a460e32ae75091942dcb70b51db4aefe2767ee8d99882694607b723a9c06898dda3938d8eb498258d7f9aad11054665b6ea9c2fbaeafa74
DIST apache-arrow-15.0.1.tar.gz 21499849 BLAKE2B 5f8f91932941105e753b7b7812bf132bd99501ccfac0574b8072e638764cb46694062bcdb8568a474f50de008ede9259b70f16ba7f33ada0f6ec763c21b1c25a SHA512 b426421336c6bc3757626b2743a039d3c7030ad257c3bcf3247a236462dbc140b7eff4476cb727f4d048144a90c1368740c139318f8237d6cc20e87d3efdaf74
+DIST apache-arrow-15.0.2.tar.gz 21503812 BLAKE2B 5a42b3409515d7a09daff33d30e72e828e1df2e009ed746f101f4d8e6dcadb2e9c305a6cb9799d4003e1421ba666d2a2e9ba182c11b0c538fbd1aee4b3ba10ff SHA512 6c83e3be1e5840c30387f088315b74aca8e7c2d060793af70a156effb496a71e3e6af0693188c0f46f8a4a061a263a47095912ef04a5dc8141abd59075b14c78
EBUILD pyarrow-15.0.0.ebuild 2048 BLAKE2B ff86094c8341eab743497b8d3cf06bb705e25a6457f52b13b82221a32c376998d563aa137acbbc5636f3ea39efc549f4c6bbf15a4d2dce10c8fbb1ee56ec1d0a SHA512 b00882d7e182a2903e5fc07707e40a174ab8188aaef3d5e190a947488d7d94c4a8bc6d3582089b407129df0be03c26c875c3623ee92ca3cb722cf855d76b7045
EBUILD pyarrow-15.0.1.ebuild 2150 BLAKE2B 36ccc4b071c1d80703dce4c95a791815fa480e7de1b53fab666cb15f851a3e98b3dc92b4fde0d8d73535ae7616c33ad29037d4a5314bde03af487513cb3f6bf6 SHA512 20b752586296404e25a1555f911b5d87a05de37d2e9785663d42e5c679ca7e2b9ddd2e95b5ec70cfdf2f58b35aabaa3ee989429d0c598b0abfaefe6870ad164a
+EBUILD pyarrow-15.0.2.ebuild 2123 BLAKE2B d947dfb9e0df41db37bc89e1151646efea5a6c808c7df6a260d4476bee577975e21a908bbeec8314c470518cdd86c2f2647f705e150bd470ac3947961b3a6621 SHA512 ac90620049953617777d74071f8b7237bcd42393b87c301610210174e77c149b1e870caed5d4438c168033c1c0f8b87291a2c23cf4a76e96327b58d26c4968b7
MISC metadata.xml 555 BLAKE2B 5683205ece2b0266e5792f42ebd515c1822563d2705f046ebcabd1de71efc67800616303b2fc83ea8cac3395303178f13e859b7390adfcef23da8d687fc8d6a3 SHA512 61d8f5bcbdbe92b858d0aab3040cd3e8dcb33ba0c45808649e032a165d6826c1a489ae2cfbf8dca52eda82d5b24b4c3f74a9abd6f87d5ff72f6578cf7535c797
diff --git a/dev-python/pyarrow/pyarrow-15.0.2.ebuild b/dev-python/pyarrow/pyarrow-15.0.2.ebuild
new file mode 100644
index 000000000000..5a37ec086327
--- /dev/null
+++ b/dev-python/pyarrow/pyarrow-15.0.2.ebuild
@@ -0,0 +1,87 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Python library for Apache Arrow"
+HOMEPAGE="
+ https://arrow.apache.org/
+ https://github.com/apache/arrow/
+ https://pypi.org/project/pyarrow/
+"
+SRC_URI="mirror://apache/arrow/arrow-${PV}/apache-arrow-${PV}.tar.gz"
+S="${WORKDIR}/apache-arrow-${PV}/python"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~hppa ~riscv"
+IUSE="+parquet +snappy ssl"
+
+RDEPEND="
+ ~dev-libs/apache-arrow-${PV}[compute,dataset,json,parquet?,re2,snappy?,ssl?]
+ dev-python/numpy[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-libs/apache-arrow[lz4,zlib]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+PATCHES=(
+ # upstream backports
+ "${FILESDIR}/${PN}-15.0.1-32bit.patch"
+)
+
+src_prepare() {
+ # cython's -Werror
+ sed -i -e '/--warning-errors/d' CMakeLists.txt || die
+ distutils-r1_src_prepare
+}
+
+src_compile() {
+ export PYARROW_PARALLEL="$(makeopts_jobs)"
+ export PYARROW_BUILD_VERBOSE=1
+ export PYARROW_CXXFLAGS="${CXXFLAGS}"
+ export PYARROW_BUNDLE_ARROW_CPP_HEADERS=0
+ export PYARROW_CMAKE_GENERATOR=Ninja
+ export PYARROW_WITH_HDFS=1
+ if use parquet; then
+ export PYARROW_WITH_DATASET=1
+ export PYARROW_WITH_PARQUET=1
+ use ssl && export PYARROW_WITH_PARQUET_ENCRYPTION=1
+ fi
+ if use snappy; then
+ export PYARROW_WITH_SNAPPY=1
+ fi
+
+ distutils-r1_src_compile
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # wtf?
+ tests/test_fs.py::test_localfs_errors
+ # these require apache-arrow with jemalloc that doesn't seem
+ # to be supported by the Gentoo package
+ tests/test_memory.py::test_env_var
+ tests/test_memory.py::test_specific_memory_pools
+ tests/test_memory.py::test_supported_memory_backends
+ # pandas changed, i guess
+ tests/test_pandas.py::test_array_protocol_pandas_extension_types
+ tests/test_table.py::test_table_factory_function_args_pandas
+ )
+
+ cd "${T}" || die
+ epytest --pyargs pyarrow
+}
diff --git a/dev-python/pytest-asyncio/Manifest b/dev-python/pytest-asyncio/Manifest
index af0f4872c291..fe6cfb0a808e 100644
--- a/dev-python/pytest-asyncio/Manifest
+++ b/dev-python/pytest-asyncio/Manifest
@@ -1,5 +1,7 @@
DIST pytest-asyncio-0.23.5.post1.tar.gz 46227 BLAKE2B 25c1ea816efee026ffec8703a3f8d84311e67a73e5c32395aa0b5dd9ee9b328c0eb198ee64aadafedd9f1563dfe8074720059f536a998cddc45c7b85e8d7f251 SHA512 a8948f82d281d760bdd55b4fb84dc72ff6a8fcb813896d1c9024586c1aac52b5f18831599f6b5160f203ac35410ad8286c06242ece63d7eb728b89e66ca82855
DIST pytest-asyncio-0.23.5.tar.gz 45887 BLAKE2B 6f641d3c614c5a224f51278ba6021ed40f015a30aa19999cca7803cc3b50e91e8a0e3c997fbd6905801a10fda5f6c2de9f2ce3228d6f1a3f734e81ebd9f0796c SHA512 112ddaa0cf8c05cec4e99cb55df4db1b7d9929b13aa531172b442cff4cd49fbe12ec23ff12aaa260f303919c840c13b21c00a94990e4b107fb115c4850a33b47
+DIST pytest-asyncio-0.23.6.tar.gz 46203 BLAKE2B 37dd3cafa2c77b0dd04a6f406e9e83705b31a98eb058fef02ad6d917cb291874dac0388a129bce5d80954fe8dd0a28fbe9e2b94dabc2ff59a1a055154b908cce SHA512 24ec7fef2f1db744c743c4da651106320d02e8a83af0a238f6335ef669751e541b7fa787fd007fd7208f1837c1cb684acdecd66ee5e022501a7aad97649fdfbe
EBUILD pytest-asyncio-0.23.5.ebuild 1605 BLAKE2B 06b9821bf10e8071302d96eefef1ae5ee1abb01fd22324409e4fe118dc2cb93768b2e0a48ec29596d95e20ab37e89f9aecc5f6911a54c84c8ba980e70b97d99c SHA512 5645c0a2addeecefde1b1d1d163ac0b1ef5025dc92a6cd26f92530b1642d7677b77cd97ccf57e20ce9ae9b6daa773701805686bd60eb5722e0727d8e8aab1ec2
EBUILD pytest-asyncio-0.23.5_p1.ebuild 1613 BLAKE2B fc7729d1a0392ab2ef98bc82056511444fc4d83fc9acfdd993ad81291ba40f3fee346442370c6a2f32267ec33de203db7e0632e1b158d2919f18aefb0da44437 SHA512 5b3c5e36c5dfa25a4ae5d918d6d52f7df29f8a005012f437d52e2a53e12495ad7eb5b39f413a97f521605a5ba57d5ad91037274a1952c6ea91cd0942155f9a57
+EBUILD pytest-asyncio-0.23.6.ebuild 1613 BLAKE2B fc7729d1a0392ab2ef98bc82056511444fc4d83fc9acfdd993ad81291ba40f3fee346442370c6a2f32267ec33de203db7e0632e1b158d2919f18aefb0da44437 SHA512 5b3c5e36c5dfa25a4ae5d918d6d52f7df29f8a005012f437d52e2a53e12495ad7eb5b39f413a97f521605a5ba57d5ad91037274a1952c6ea91cd0942155f9a57
MISC metadata.xml 385 BLAKE2B 3d8faba48e1b3e531ea338f08f2de4b7bf637190e65fc61df2bd4d994cc97707016f83927f4a5181ac27d412a8c91255e90caba15f2d687f2339bc8ea61b18f2 SHA512 71178d3fba362e7532c87cb519f3661b25018771b86c302660de11f1bc7817b8352a2c8fcf60084a5e62b15148307a360267381ac38e8c856784034d80327d4d
diff --git a/dev-python/pytest-asyncio/pytest-asyncio-0.23.6.ebuild b/dev-python/pytest-asyncio/pytest-asyncio-0.23.6.ebuild
new file mode 100644
index 000000000000..3309bf08c6f5
--- /dev/null
+++ b/dev-python/pytest-asyncio/pytest-asyncio-0.23.6.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2019-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Library for testing asyncio code with pytest"
+HOMEPAGE="
+ https://github.com/pytest-dev/pytest-asyncio/
+ https://pypi.org/project/pytest-asyncio/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/pytest-5.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/hypothesis-3.64[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on precise warning counts
+ tests/hypothesis/test_base.py::test_can_use_explicit_event_loop_fixture
+ tests/modes/test_legacy_mode.py
+ tests/modes/test_strict_mode.py::test_strict_mode_ignores_unmarked_fixture
+ tests/test_event_loop_fixture_finalizer.py::test_event_loop_fixture_finalizer_raises_warning_when_fixture_leaves_loop_unclosed
+ tests/test_event_loop_fixture_finalizer.py::test_event_loop_fixture_finalizer_raises_warning_when_test_leaves_loop_unclosed
+ tests/test_pytest_min_version_warning.py
+ tests/trio/test_fixtures.py::test_strict_mode_ignores_trio_fixtures
+
+ # TODO
+ tests/test_is_async_test.py::test_returns_false_for_unmarked_coroutine_item_in_strict_mode
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=pytest_asyncio.plugin,_hypothesis_pytestplugin
+ epytest
+}
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index eaa456efcecf..cb6caf0b373b 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -25,6 +25,7 @@ DIST sqlglot-22.3.1.tar.gz 12763515 BLAKE2B b4f3eba750ed44153d0032fa698b25580625
DIST sqlglot-22.4.0.tar.gz 12770391 BLAKE2B c9695cd2241b5003ea3b3dee22ea53cc690f8444f168cbca627c9993792d68addccf8e86ad95c97bc553fb886f54b6a9932a890913cf2bb220403509cb243217 SHA512 6225722ab46aadbf01f1f24b5bd4fbeedbf97a6db6262365a08ea188d9cff1eecb380c4629a69065a0e2e5a1c397969d855b8bd3553527b6b36653ac60a8c66d
DIST sqlglot-22.5.0.tar.gz 12813145 BLAKE2B d1a83bc743165e709805d07e1b6de6e8b6e40ee98d21d7a85933781515c05d87bbd5c7d6850cd929e66084d0b4db6be469bec49c1d143198dc91c33aaef51d30 SHA512 fd0575375ce1e7edcfa3d7ced8b3da9226de5afd8d6d26aac813882a691ff15649b10f97b047523a052b08201bb0f5079ee1c8b3c3858a0e5e30ce74f08b5367
DIST sqlglot-23.0.0.tar.gz 12818941 BLAKE2B 713ebdab33a27514cccd591677e0ecd8944782f67ffc871eb0622350f4a80b079b2981fc62997abeeffcd7bda4f4859757de9755c0662f69e08b7e7b65b6cf84 SHA512 001792d7b1cab28b886c76f1c4cc7766f05730344c54ece04c467ce747655b79ebb7638d551ba296993356b7cc362043f2669cd5c891b01b716a7f176a81f910
+DIST sqlglot-23.0.1.tar.gz 12849655 BLAKE2B 1c6b9356ab1f46e69f933e5a7dae4e39a49da0e6e01ef4d68458e3e038efe1881840b39de4b28799332435553ebb50cebf8f08bbd898f64fecc36507b101b140 SHA512 005310d68d21cefedbeba9eeea15e4edcc73c43e36d14a247814dad862e476c70fe292963f62e993b6b16859752f2c2e62c0d4b73d9cf62f0fb27ae6c78f384f
DIST syn-2.0.41.crate 246016 BLAKE2B 9d389f2e2a0acb4c84c309456e8ffcc88c5d4d541535ed136832d7a6054dde45a598bb68e8a6f3062ca2a96e1ceae947d54b3aec9bad65b0c51d6733aa6c80db SHA512 6bbaf69ca783025dfb81ac3612ac60bfbed31b2d87792909b35c12892dadebdaff2ddf9463105e536b671dce5870610ab90fe29471284bbd3014dca8d6993f1a
DIST target-lexicon-0.12.12.crate 25156 BLAKE2B f3803596c75f6c89438592a1176c3748fc2c0524d7d50a20056de1cd26d40c572b05bafcdf6dd702752864bea37c8b4f28f96dadc12a5b3bb1d279b25e489f85 SHA512 6147295c43ba1b7b087a3c5ab51534b2985e4e77e5e15687978cfb9d07e21c4fd9bc7191576d6cabd268d08a44dc733c4a957e59dba8b948c2055d8bb433aeca
DIST unicode-ident-1.0.12.crate 42168 BLAKE2B 4cede03c08758ccd6bf53a0d0057d7542dfdd0c93d342e89f3b90460be85518a9fd24958d8b1da2b5a09b5ddbee8a4263982194158e171c2bba3e394d88d6dac SHA512 bc1824e1e4452a40732fc69874d7e1a66f7803717a314790dcf48867eba34bc9441331ef031e386912e52c385645c25b6ed39d4f149973b5b97371b1b96b1920
@@ -43,4 +44,5 @@ EBUILD sqlglot-22.3.1.ebuild 2602 BLAKE2B 3bfbd91a9bd26b48f14f4ca2d1143e55e37da4
EBUILD sqlglot-22.4.0.ebuild 2602 BLAKE2B 3bfbd91a9bd26b48f14f4ca2d1143e55e37da4f8c0d893b1a3d4d5853b7959d325669fc46e8f79e5e817b139ccf0684e663456d3b45785195b4e06942522ff08 SHA512 f8c1aa7ea03ed2e0044b6550a13f1e2e40999a16a247cd7206db725c14d3ba06a92cd1909a0126d51ac583ecd8a4825f4da678aab079eb94a7e7cbad16ecafa2
EBUILD sqlglot-22.5.0.ebuild 2602 BLAKE2B 3bfbd91a9bd26b48f14f4ca2d1143e55e37da4f8c0d893b1a3d4d5853b7959d325669fc46e8f79e5e817b139ccf0684e663456d3b45785195b4e06942522ff08 SHA512 f8c1aa7ea03ed2e0044b6550a13f1e2e40999a16a247cd7206db725c14d3ba06a92cd1909a0126d51ac583ecd8a4825f4da678aab079eb94a7e7cbad16ecafa2
EBUILD sqlglot-23.0.0.ebuild 2602 BLAKE2B 3bfbd91a9bd26b48f14f4ca2d1143e55e37da4f8c0d893b1a3d4d5853b7959d325669fc46e8f79e5e817b139ccf0684e663456d3b45785195b4e06942522ff08 SHA512 f8c1aa7ea03ed2e0044b6550a13f1e2e40999a16a247cd7206db725c14d3ba06a92cd1909a0126d51ac583ecd8a4825f4da678aab079eb94a7e7cbad16ecafa2
+EBUILD sqlglot-23.0.1.ebuild 2602 BLAKE2B 3bfbd91a9bd26b48f14f4ca2d1143e55e37da4f8c0d893b1a3d4d5853b7959d325669fc46e8f79e5e817b139ccf0684e663456d3b45785195b4e06942522ff08 SHA512 f8c1aa7ea03ed2e0044b6550a13f1e2e40999a16a247cd7206db725c14d3ba06a92cd1909a0126d51ac583ecd8a4825f4da678aab079eb94a7e7cbad16ecafa2
MISC metadata.xml 611 BLAKE2B 10bf684677182565c9932d51ed9b3b9c80d376d6db945bd7b0dd0d9a19a85dc0d10cb169ff2048ae5f7f73d0f438d259b6231c13c525b5374ec99377f4ffdd10 SHA512 2b26d0f77962807052b94ad78addcfdce9859042af3be34df267dc6e70b6231dd779563935fd21955cd8646fd0cce3fee8c939387ac8056194a0b777743dd2ae
diff --git a/dev-python/sqlglot/sqlglot-23.0.1.ebuild b/dev-python/sqlglot/sqlglot-23.0.1.ebuild
new file mode 100644
index 000000000000..058fa81df816
--- /dev/null
+++ b/dev-python/sqlglot/sqlglot-23.0.1.ebuild
@@ -0,0 +1,121 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+CARGO_OPTIONAL=1
+CRATES="
+ autocfg@1.1.0
+ bitflags@1.3.2
+ cfg-if@1.0.0
+ heck@0.4.1
+ indoc@2.0.4
+ libc@0.2.150
+ lock_api@0.4.11
+ memoffset@0.9.0
+ once_cell@1.19.0
+ parking_lot@0.12.1
+ parking_lot_core@0.9.9
+ proc-macro2@1.0.70
+ pyo3-build-config@0.20.0
+ pyo3-ffi@0.20.0
+ pyo3-macros-backend@0.20.0
+ pyo3-macros@0.20.0
+ pyo3@0.20.0
+ quote@1.0.33
+ redox_syscall@0.4.1
+ scopeguard@1.2.0
+ smallvec@1.11.2
+ syn@2.0.41
+ target-lexicon@0.12.12
+ unicode-ident@1.0.12
+ unindent@0.2.3
+ windows-targets@0.48.5
+ windows_aarch64_gnullvm@0.48.5
+ windows_aarch64_msvc@0.48.5
+ windows_i686_gnu@0.48.5
+ windows_i686_msvc@0.48.5
+ windows_x86_64_gnu@0.48.5
+ windows_x86_64_gnullvm@0.48.5
+ windows_x86_64_msvc@0.48.5
+"
+
+inherit cargo distutils-r1 pypi optfeature
+
+DESCRIPTION="An easily customizable SQL parser and transpiler"
+HOMEPAGE="
+ https://sqlglot.com/
+ https://github.com/tobymao/sqlglot/
+ https://pypi.org/project/sqlglot/
+"
+SRC_URI+="
+ native-extensions? (
+ ${CARGO_CRATE_URIS}
+ )
+"
+
+LICENSE="MIT"
+LICENSE+=" native-extensions? ("
+# Dependent crate licenses
+LICENSE+=" Apache-2.0-with-LLVM-exceptions MIT Unicode-DFS-2016"
+LICENSE+=" )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+native-extensions"
+
+BDEPEND="
+ native-extensions? (
+ ${RUST_DEPEND}
+ dev-util/maturin[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/sqlglotrs/sqlglotrs.*.so"
+
+src_unpack() {
+ cargo_src_unpack
+}
+
+src_prepare() {
+ # remove fragile timing check
+ sed -i -e '/assertLessEqual(time\.time/d' tests/test_parser.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+
+ if use native-extensions; then
+ local DISTUTILS_USE_PEP517=maturin
+ cd sqlglotrs || die
+ distutils-r1_python_compile
+ cd - >/dev/null || die
+ fi
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # Tests require pyspark or duckdb which aren't in the tree.
+ # Pandas would be a requirement normally, but it gets ignored by proxy.
+ "tests/dataframe/integration/test_dataframe.py"
+ "tests/dataframe/integration/test_grouped_data.py"
+ "tests/dataframe/integration/test_session.py"
+ "tests/test_executor.py"
+ "tests/test_optimizer.py"
+ )
+
+ # make sure not to use an earlier installed version
+ local -x SQLGLOTRS_TOKENIZER=$(usex native-extensions 1 0)
+ rm -rf sqlglotrs || die
+ epytest
+}
+
+pkg_postinst() {
+ optfeature "simplifying timedelta expressions" dev-python/python-dateutil
+}
diff --git a/dev-python/uvicorn/Manifest b/dev-python/uvicorn/Manifest
index 2bd0487e8db8..e70d755300a1 100644
--- a/dev-python/uvicorn/Manifest
+++ b/dev-python/uvicorn/Manifest
@@ -1,5 +1,7 @@
DIST uvicorn-0.27.1.gh.tar.gz 718990 BLAKE2B a520bcb2cde4ed6125c0d64b06d3d301471c1722f7642adb09320b6a6386fe6206a501f171ed4bfe4f95f333c323d1e9f65efc89c1669abc398a57ad0ad27b16 SHA512 57946b71e3f332a9c549ec48ea25375d5ddad4e7f0d5b406690569ed492c305d8441b3ded5386d6d3295e62007cfcd2ae2f0816266cf493391e813db3ef44109
DIST uvicorn-0.28.0.gh.tar.gz 718359 BLAKE2B a8e08c3abe6ea1e9d596ad57ef6d0efa0b219bdba89eb27aa6c7f6efa383cc2edfc2d755b8fb58f84d8eb5307fb33ca6c5c15cf2f4de361ee5dbb81cb6b2e897 SHA512 7e001e4d40092f9cc6f230f53958f71150ab6818ab883cd7edfe4a2b7269d5d17ce98d3b279e74b9b58026bcef9b48d1944405df253cfaf18b943979f1a1835d
+DIST uvicorn-0.28.1.gh.tar.gz 718292 BLAKE2B cfa9284d941cb8817968d6e65c1cf62cee59398b9674785f183465abda544b8ea2d83e8791cf357ee736636bd9a00ddd29b0209d1ca94170d2d2130404b20f18 SHA512 5ce75daee19d20b4ffdc653cd7d271b3f1776f1f350da1b41a627fd3210bee620610c0c17d0e735c8a4fe883fb1bc72e603fb9dcd1939b6cd797c3b1800bf75e
EBUILD uvicorn-0.27.1.ebuild 1800 BLAKE2B 5557757a14b43a185a03f7ef1e7633a58c1b5a60ca70f7f43e73819a17676195939d444ae58bbf854142b77d571bf904ca94afc4a166387a78eef83ad3a5f8a1 SHA512 770843b6a50257f9d09fbbbf0115da4a8ffefe5e3b138d725f6928f19ebdb430ed8d14e6909e369b2f43f2d754319e5fd310d54f6177d38de66d340e47829a43
EBUILD uvicorn-0.28.0.ebuild 1808 BLAKE2B 8f262be545e48e4d2a72777eab91f29abc675445a7c46db0a891c97cb00aea4a9124637444ec4603fe5f9ebe45d5ee45bb6d13b6f2b6a683b0884c976cfa7725 SHA512 73573c071e76d9fd837d1a58da2467850cc3576d3ed50e6b6f5dd3fdc88900d91a683844aa9ede03609e53180115ad295056993936932634be73fbd74dd64263
+EBUILD uvicorn-0.28.1.ebuild 1808 BLAKE2B 8f262be545e48e4d2a72777eab91f29abc675445a7c46db0a891c97cb00aea4a9124637444ec4603fe5f9ebe45d5ee45bb6d13b6f2b6a683b0884c976cfa7725 SHA512 73573c071e76d9fd837d1a58da2467850cc3576d3ed50e6b6f5dd3fdc88900d91a683844aa9ede03609e53180115ad295056993936932634be73fbd74dd64263
MISC metadata.xml 451 BLAKE2B af9be617c95128297e3455b503e198e13c373244094f6aa9c80837945c3f9f023f1874efa28d4ffa8b241feb9a4e8c7f3d3534e96966733bd5593bffb90904a5 SHA512 4d76bab5c20f7cad81fa56a28c9be07bf2c2ebc412fc647f073215d437a2550eca247b8419df71d04200d0fdf545520684db0b6f4953e73848f69a4f4ad6931e
diff --git a/dev-python/uvicorn/uvicorn-0.28.1.ebuild b/dev-python/uvicorn/uvicorn-0.28.1.ebuild
new file mode 100644
index 000000000000..5950d3bc0878
--- /dev/null
+++ b/dev-python/uvicorn/uvicorn-0.28.1.ebuild
@@ -0,0 +1,75 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Lightning-fast ASGI server implementation"
+HOMEPAGE="
+ https://www.uvicorn.org/
+ https://github.com/encode/uvicorn/
+ https://pypi.org/project/uvicorn/
+"
+# as of 0.28.0, no tests in sdist
+SRC_URI="
+ https://github.com/encode/uvicorn/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="test-rust"
+
+RDEPEND="
+ >=dev-python/asgiref-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/click-7.0[${PYTHON_USEDEP}]
+ >=dev-python/h11-0.8[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-4.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ test? (
+ dev-python/a2wsgi[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/python-dotenv[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/websockets-10.4[${PYTHON_USEDEP}]
+ dev-python/wsproto[${PYTHON_USEDEP}]
+ test-rust? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ dev-python/watchfiles[${PYTHON_USEDEP}]
+ )
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # too long path for unix socket
+ tests/test_config.py::test_bind_unix_socket_works_with_reload_or_workers
+ )
+ case ${EPYTHON} in
+ pypy3)
+ # TODO
+ EPYTEST_DESELECT+=(
+ tests/middleware/test_logging.py::test_running_log_using_fd
+ )
+ ;;
+ esac
+
+ epytest
+}
+
+pkg_postinst() {
+ optfeature "auto reload on file changes" dev-python/watchfiles
+}
diff --git a/dev-python/validators/Manifest b/dev-python/validators/Manifest
index 292a004f6614..f7e3aad483a5 100644
--- a/dev-python/validators/Manifest
+++ b/dev-python/validators/Manifest
@@ -1,3 +1,5 @@
DIST validators-0.22.0.tar.gz 41479 BLAKE2B b949ce879df0885c201a972cce746d22810b6338c820f9aad71941b5277b8e14a4b367aa2c18421dd4643dc2ce7247e7bc9511eec5ffe7f737ed07d213b862b0 SHA512 2024f0b33c142537f160086d2c2e511342af283dfed2d9a9ff19877a7897c64b3f2f1f48ee451c38f7fd63374e2e7ce17d0340afc71cb6d272837a37f212142d
+DIST validators-0.23.1.tar.gz 42555 BLAKE2B 8ef5f227dbcbe16981f826abacb0869ef5fc08bfb3785703a91fdb3c3252384a667e22cf434944e427757b5ea45f66f79544478bef865a92971c050b49ecdfee SHA512 920161da0738e272c9705b32516613f9fdfe2ec610b6c3b1c7b078bbfe975d5468d9f020f14d6ecff4ea1cc1ee552b34fe66f9ca022c3cca9202808ff6021e16
EBUILD validators-0.22.0.ebuild 485 BLAKE2B 268f83343531ade59194edd2fbb70770cba54a30afe8be2334927ba2ec727b5fc5bd74f6a20095cbb5cb35aa6def2f382b0dd5d8b455277b8e6bfb7e6dd89288 SHA512 61f93c5ae29dba8b598bdeb7e1bd136eba4eb5a58ebbf83ba3737a0115cf8942a1303a069712a73186e47849ec27f6451b3321903636b117dc36a686981fedfb
+EBUILD validators-0.23.1.ebuild 492 BLAKE2B 01b1d63c2dfc8f489fbf0af0ffdf676ca2016d68250ee894dfa716cfe884ad2a166c457be23316bcd6d7bfef880eb53424bf32e53c9a65325b95200a570192c9 SHA512 dda7b6c8c3d99cfb1c43626825371f651651010a58a9f309337fda0ce2adf98475a4f841bd4ba4b0c0b27915c9605fdaf1943edcad75b96198d09f5dcad184d3
MISC metadata.xml 495 BLAKE2B 015451b5d08099d0999b05748d5db2615073328fbea76663d0002bec0d99816a636ec897fea8246f5586f8f77239ff0671fb69bcb8a50a3d980e5d9e7ab98b0b SHA512 1ba59825a77655ae8994529da0d0b905db91de3eee61acd03b00b525fb8b3eae382b40ede27d474c2ab8eff791c81d881699877b1a00648201fcfc7ec2fc10bf
diff --git a/dev-python/validators/validators-0.23.1.ebuild b/dev-python/validators/validators-0.23.1.ebuild
new file mode 100644
index 000000000000..20c7aef22fdc
--- /dev/null
+++ b/dev-python/validators/validators-0.23.1.ebuild
@@ -0,0 +1,21 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python Data Validation for Humans"
+HOMEPAGE="
+ https://github.com/python-validators/validators/
+ https://pypi.org/project/validators/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+distutils_enable_tests pytest